<template>
<v-container fluid pa-0>
  <v-list two-line>
    <v-subheader>Способы оплаты</v-subheader>
    <v-list-item
      v-for="(method, i) in paymentMethods"
      :key="'method'+i"
      selectable
      >
      <v-list-item-icon>
        <v-icon>{{method.icon}}</v-icon>
      </v-list-item-icon>
      <v-list-item-content>
        <v-list-item-title>{{method.title}}</v-list-item-title>
        <v-list-item-subtitle>{{method.comment}}</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>
  </v-list>
</v-container>
</template>


<script>
import { mapState } from 'vuex';
import {
  mdiCreditCardOutline,
  // mdiAccountCashOutline,
} from '@mdi/js';

export default {
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
    style() {
      return `background:${this.bg}`;
    },
  },
  data: () => ({
    logoHeight: 100,
    paymentMethods: [
      {
        title: 'Карта (Сбербанк)',
        comment: '2202 2032 3706 8012',
        icon: mdiCreditCardOutline,
      },
      // {
      //   title: 'При встрече',
      //   comment: 'Для тех, кто приходит.',
      //   icon: mdiAccountCashOutline,
      // },
    ],
  }),
  props: {
    title: String,
    icon: String,
    desc: String,
    to: String,
    bg: String,
    details: String,
  },
};
</script>
